#!/usr/bin/perl

package main;

use strict;
use warnings;
use Getopt::Std;
use Config::Tiny;

use Evoauth::Admin;
use Evoauth::Functions;
use Evoauth::Iptables;

$SIG{INT} = $SIG{TERM} = $SIG{KILL} = "";

# Evoauth doit être activé
if (&Access() != 0) { exit; };

# choix des options
my %options=();
getopts("icsrd:a:",\%options);

if (defined $options{a})
	{ &Evoauth::Iptables::Alter(1, $options{a}); }
elsif (defined $options{A})
    { &Access(); }
elsif (defined $options{d})
	{ &Evoauth::Iptables::Alter(3, $options{d});}
elsif (defined $options{c})
	{ &Evoauth::Iptables::Alter(2); }
elsif (defined $options{i})
	{ &Evoauth::Iptables::Control(1); }
elsif (defined $options{s})
	{ &Evoauth::Iptables::Control(2); }
elsif (defined $options{r})
	{ &Evoauth::Iptables::Control(3); }
else
	{ &Usage; }

sub Access() {
	my $Config = Config::Tiny->read( '/etc/evoauth/evoauth.conf' );

	if ($Config->{control}->{enable} != 1) {
print <<AVERT;

Avertissement Evoauth
---------------------
enable doit etre egal a 1 dans /etc/evoauth/evoauth.conf avant 
de continuer".
AVERT
     exit;
}


sub Usage() {
	print "\nusage :\n";
	print "-A    : verification de l'activation\n";
	print "-i    : initialisation du logiciel\n";
	print "-s    : arrêt du logiciel\n";
	print "-r    : redémarrage du logiciel\n";
	print "-a ip : ajout d'une ip a la base\n";
	print "-d ip : suppression d'une ip a la base\n";
	print "-c    : vérification des bases de connexion\n";
	print "-h    : aide\n";
	exit;
}
